Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicRule.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicRule.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicRuleOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicRule

public static final class DaprAppCallbackProtos.TopicRule.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder> implements DaprAppCallbackProtos.TopicRuleOrBuilder
Protobuf type `dapr.proto.runtime.v1.TopicRule`

## Method Summary

Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicRule.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicRule`
`build()`
`DaprAppCallbackProtos.TopicRule`
`buildPartial()`
`DaprAppCallbackProtos.TopicRule.Builder`
`clear()`
`DaprAppCallbackProtos.TopicRule.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.TopicRule.Builder`
`clearMatch()`
The optional CEL expression used to match the event.
`DaprAppCallbackProtos.TopicRule.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.TopicRule.Builder`
`clearPath()`
The path used to identify matches for this subscription.
`DaprAppCallbackProtos.TopicRule.Builder`
`clone()`
`DaprAppCallbackProtos.TopicRule`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getMatch()`
The optional CEL expression used to match the event.
`com.google.protobuf.ByteString`
`getMatchBytes()`
The optional CEL expression used to match the event.
`String`
`getPath()`
The path used to identify matches for this subscription.
`com.google.protobuf.ByteString`
`getPathBytes()`
The path used to identify matches for this subscription.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprAppCallbackProtos.TopicRule.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.TopicRule.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.TopicRule.Builder`
`mergeFrom(DaprAppCallbackProtos.TopicRule other)`
`final DaprAppCallbackProtos.TopicRule.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.TopicRule.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicRule.Builder`
`setMatch(String value)`
The optional CEL expression used to match the event.
`DaprAppCallbackProtos.TopicRule.Builder`
`setMatchBytes(com.google.protobuf.ByteString value)`
The optional CEL expression used to match the event.
`DaprAppCallbackProtos.TopicRule.Builder`
`setPath(String value)`
The path used to identify matches for this subscription.
`DaprAppCallbackProtos.TopicRule.Builder`
`setPathBytes(com.google.protobuf.ByteString value)`
The path used to identify matches for this subscription.
`DaprAppCallbackProtos.TopicRule.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprAppCallbackProtos.TopicRule.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### clear

public DaprAppCallbackProtos.TopicRule.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### getDefaultInstanceForType

public DaprAppCallbackProtos.TopicRule getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprAppCallbackProtos.TopicRule build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprAppCallbackProtos.TopicRule buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprAppCallbackProtos.TopicRule.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### setField

public DaprAppCallbackProtos.TopicRule.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### clearField

public DaprAppCallbackProtos.TopicRule.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### clearOneof

public DaprAppCallbackProtos.TopicRule.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### setRepeatedField

public DaprAppCallbackProtos.TopicRule.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### addRepeatedField

public DaprAppCallbackProtos.TopicRule.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicRule.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicRule.Builder mergeFrom(DaprAppCallbackProtos.TopicRule other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicRule.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicRule.Builder>`
Throws:
  `IOException`

### getMatch

public String getMatch()

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Specified by:
  `getMatch` in interface `DaprAppCallbackProtos.TopicRuleOrBuilder`
Returns:
  The match.

### getMatchBytes

public com.google.protobuf.ByteString getMatchBytes()

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Specified by:
  `getMatchBytes` in interface `DaprAppCallbackProtos.TopicRuleOrBuilder`
Returns:
  The bytes for match.

### setMatch

public DaprAppCallbackProtos.TopicRule.Builder setMatch(String value)

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Parameters:
  `value` - The match to set.
Returns:
  This builder for chaining.

### clearMatch

public DaprAppCallbackProtos.TopicRule.Builder clearMatch()

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Returns:
  This builder for chaining.

### setMatchBytes

public DaprAppCallbackProtos.TopicRule.Builder setMatchBytes(com.google.protobuf.ByteString value)

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Parameters:
  `value` - The bytes for match to set.
Returns:
  This builder for chaining.

### getPath

public String getPath()

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Specified by:
  `getPath` in interface `DaprAppCallbackProtos.TopicRuleOrBuilder`
Returns:
  The path.

### getPathBytes

public com.google.protobuf.ByteString getPathBytes()

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Specified by:
  `getPathBytes` in interface `DaprAppCallbackProtos.TopicRuleOrBuilder`
Returns:
  The bytes for path.

### setPath

public DaprAppCallbackProtos.TopicRule.Builder setPath(String value)

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

### clearPath

public DaprAppCallbackProtos.TopicRule.Builder clearPath()

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Returns:
  This builder for chaining.

### setPathBytes

public DaprAppCallbackProtos.TopicRule.Builder setPathBytes(com.google.protobuf.ByteString value)

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprAppCallbackProtos.TopicRule.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`

### mergeUnknownFields

public final DaprAppCallbackProtos.TopicRule.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicRule.Builder>`